-- selectAddTarget - Michael B. Comet - comet@comet-cartoons.com
--					http://www.comet-cartoons.com/
-- ver. 1.00 - 2/24/01 - For max r4.
--
-- This script will automatically select all Target objects for
-- target cameras or target based lights, but still will keep the
-- camera or light itself selected.
--
-- You can make this script a button on your shelf, and then use it
-- by placing it on your quadMenu, etc...
--
-- ver 1.01 - 3/04/01 - Fixed up script so it handles objects with 
--		Spaces in the filename.
--

fn selectAddTarget =
(
    sel = getCurrentSelection();
    if (sel == undefined) then
	    return false;

	for obj in sel do 
	(
try 
(
		targ = obj.target;
		str = "selectMore $'"+(targ.name)+"';";
		execute str;
)
catch 
( 
--     format "DEBUG: % not a target object!\n" obj.name; 
)
	)
)

selectAddTarget();		-- Call it!
